Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.server.metaproject.impl
Class PolicyImpl

    java.lang.Object
      edu.stanford.smi.protege.server.metaproject.impl.PolicyImpl

All Implemented Interfaces:
  Localizable, Policy, Serializable

    public class PolicyImpl

extends Object
implements Policy, Localizable, Serializable

See Also:
  Serialized Form

Constructor Summary
`PolicyImpl(MetaProjectImpl mp)`

Method Summary
`Set<Operation>` | `getAllowedOperations(User user, ProjectInstance project)`
`ServerInstance` | `getFirstServerInstance()`
`Set<Operation>` | `getKnownOperations()`
`ProjectInstance` | `getProjectInstanceByName(String projectName)`
`ServerInstance` | `getServerInstanceByName(String serverName)`
`User` | `getUserByName(String userName)`
`boolean` | `isOperationAuthorized(User user, Operation op, PolicyControlledObject project)`
`void` | `localize(KnowledgeBase kb)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PolicyImpl

    public PolicyImpl(MetaProjectImpl mp)

Method Detail

### isOperationAuthorized

    public boolean isOperationAuthorized(User user,
                                         Operation op,
                                         PolicyControlledObject project)

  Specified by:
    `isOperationAuthorized` in interface `Policy`

### getAllowedOperations

    public Set<Operation> getAllowedOperations(User user,
                                               ProjectInstance project)

  Specified by:
    `getAllowedOperations` in interface `Policy`

### getKnownOperations

    public Set<Operation> getKnownOperations()

  Specified by:
    `getKnownOperations` in interface `Policy`

### getUserByName

    public User getUserByName(String userName)

  Specified by:
    `getUserByName` in interface `Policy`

### getProjectInstanceByName

    public ProjectInstance getProjectInstanceByName(String projectName)

  Specified by:
    `getProjectInstanceByName` in interface `Policy`

### getServerInstanceByName

    public ServerInstance getServerInstanceByName(String serverName)

  Specified by:
    `getServerInstanceByName` in interface `Policy`

### getFirstServerInstance

    public ServerInstance getFirstServerInstance()

  Specified by:
    `getFirstServerInstance` in interface `Policy`

### localize

    public void localize(KnowledgeBase kb)

  Specified by:
    `localize` in interface `Localizable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.